| Fast DDS Version 3.3.0 Fast DDS

Loading...
Searching...
No Matches
TransportDescriptorInterface Struct Referenceabstract
eProsima Fast DDS API Reference » RTPS

Virtual base class for the data type used to define transport configuration. More...

`#include <TransportDescriptorInterface.hpp>`

Inheritance diagram for TransportDescriptorInterface:
[legend]

## Public Member Functions

FASTDDS_EXPORTED_API | TransportDescriptorInterface (uint32_t maximumMessageSize, uint32_t maximumInitialPeersRange)
| Constructor.
FASTDDS_EXPORTED_API | TransportDescriptorInterface (const TransportDescriptorInterface &t)
| Copy constructor.
FASTDDS_EXPORTED_API TransportDescriptorInterface & | operator= (const TransportDescriptorInterface &t)
| Copy assignment.
virtual FASTDDS_EXPORTED_API | ~TransportDescriptorInterface ()=default
| Destructor.
virtual FASTDDS_EXPORTED_API TransportInterface * | create_transport () const =0
| Factory method pattern.
virtual FASTDDS_EXPORTED_API uint32_t | min_send_buffer_size () const =0
| Returns the minimum size required for a send operation.
virtual FASTDDS_EXPORTED_API uint32_t | max_message_size () const
| Returns the maximum size expected for received messages.
virtual FASTDDS_EXPORTED_API uint32_t | max_initial_peers_range () const
| Returns the maximum number of opened channels for each initial remote peer (maximum number of guessed initial peers to try to connect).
FASTDDS_EXPORTED_API bool | operator== (const TransportDescriptorInterface &t) const
| Comparison operator.
FASTDDS_EXPORTED_API void | lock ()
| Lock internal mutex (for Fast-DDS internal use).
FASTDDS_EXPORTED_API void | unlock ()
| Unlock internal mutex (for Fast-DDS internal use).

## Public Attributes

uint32_t | maxMessageSize
| Maximum size of a single message in the transport.
uint32_t | maxInitialPeersRange
| Number of channels opened with each initial remote peer.

## Detailed Description

Virtual base class for the data type used to define transport configuration.

It acts as a builder for a given transport meaning that it allows to configure the transport, and then a new Transport can be built according to this configuration using its create_transport() factory member function.

- maxMessageSize: maximum size of a single message in the transport.
- maxInitialPeersRange: number of channels opened with each initial remote peer.

## Constructor & Destructor Documentation

## ◆ TransportDescriptorInterface() [1/2]

FASTDDS_EXPORTED_API TransportDescriptorInterface | ( | uint32_t | maximumMessageSize,
|  | uint32_t | maximumInitialPeersRange )

inline

Constructor.

## ◆ TransportDescriptorInterface() [2/2]

FASTDDS_EXPORTED_API TransportDescriptorInterface | ( | const TransportDescriptorInterface & | t | ) |

inline

Copy constructor.

## ◆ ~TransportDescriptorInterface()

virtual FASTDDS_EXPORTED_API ~TransportDescriptorInterface | ( |  | ) |

virtual default

Destructor.

## Member Function Documentation

## ◆ create_transport()

virtual FASTDDS_EXPORTED_API TransportInterface * create_transport | ( |  | ) | const

pure virtual

Factory method pattern.

It will create and return a TransportInterface corresponding to this descriptor. This provides an interface to the NetworkFactory to create the transports without the need to know about their type

Implemented in SharedMemTransportDescriptor, TCPv4TransportDescriptor, TCPv6TransportDescriptor, test_SharedMemTransportDescriptor, test_UDPv4TransportDescriptor, UDPv4TransportDescriptor, and UDPv6TransportDescriptor.

## ◆ lock()

FASTDDS_EXPORTED_API void lock | ( |  | ) |

inline

Lock internal mutex (for Fast-DDS internal use).

## ◆ max_initial_peers_range()

virtual FASTDDS_EXPORTED_API uint32_t max_initial_peers_range | ( |  | ) | const

inline virtual

Returns the maximum number of opened channels for each initial remote peer (maximum number of guessed initial peers to try to connect).

## ◆ max_message_size()

virtual FASTDDS_EXPORTED_API uint32_t max_message_size | ( |  | ) | const

inline virtual

Returns the maximum size expected for received messages.

Reimplemented in ChainingTransportDescriptor, and SharedMemTransportDescriptor.

## ◆ min_send_buffer_size()

virtual FASTDDS_EXPORTED_API uint32_t min_send_buffer_size | ( |  | ) | const

pure virtual

Returns the minimum size required for a send operation.

Implemented in ChainingTransportDescriptor, SharedMemTransportDescriptor, and SocketTransportDescriptor.

## ◆ operator=()

FASTDDS_EXPORTED_API TransportDescriptorInterface & operator= | ( | const TransportDescriptorInterface & | t | ) |

inline

Copy assignment.

## ◆ operator==()

FASTDDS_EXPORTED_API bool operator== | ( | const TransportDescriptorInterface & | t | ) | const

inline

Comparison operator.

## ◆ unlock()

FASTDDS_EXPORTED_API void unlock | ( |  | ) |

inline

Unlock internal mutex (for Fast-DDS internal use).

## Member Data Documentation

## ◆ maxInitialPeersRange

uint32_t maxInitialPeersRange

Number of channels opened with each initial remote peer.

## ◆ maxMessageSize

uint32_t maxMessageSize

Maximum size of a single message in the transport.

The documentation for this struct was generated from the following file:

- include/fastdds/rtps/transport/TransportDescriptorInterface.hpp